Subject: guix publish issue: guix substitute: error: corrupt input while restoring
From: Christopher Baines <[email-masked]>
To: [email-masked]
Date: Sat, 20 Jan 2018 12:07:41 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hey,

I think something may have broken recently with the guix publish
service. I run this on a server with very basic configuration, just
setting the host, but I noticed recently that there were problems using
the service. The following example is guix failing to download something
from that server.

Downloading http://beid.cbaines.net/nar/gzip/pwg84wqsniamc4vx9c7p06284i5rxiay-wxwidgets-3.0.3...
 wxwidgets-3.0.3                                                       256KiB/s 00:00 | 16KiB transferred
gzip: stdin: not in gzip format
guix substitute: error: corrupt input while restoring '/gnu/store/pwg84wqsniamc4vx9c7p06284i5rxiay-wxwidgets-3.0.3' from #{read pipe}#
 wxwidgets-3.0.3                                                       316KiB/s 00:00 | 48KiB transferredguix package: error: build failed: some substitutes for the outputs of derivation `/gnu/store/7f0zr1zgp6q1nyrsxf88qn003gr1w53b-wxwidgets-3.0.3.drv' failed (usually happens due to networking issues); try `--fallback' to build derivation from source

I reverted the 4 recent changes [1], changed the service configuration
to use (guix (current-guix)) and now it seems to be working again.

I've had a look through the changes, I couldn't spot anything, but I
think there could be a regression in these changes [1].

Thanks,

Chris

1: f396611776e7ed6f1a070569a338ad56461b099e
   152b7beeacb72fe96fd5d3c0fd8b321e247c2c6c
   c04ffadbed7412545555b8be6b78f23eed150d26
   297e04d66010ada31a40f40143d81bf6b62affcc